# Class VariableMapperFactory

java.lang.Object
jakarta.el.VariableMapper
org.apache.el.lang.VariableMapperFactory

public class VariableMapperFactory extends VariableMapper

## Constructor Summary

Constructors
Constructor
Description
`VariableMapperFactory(VariableMapper target)`

## Method Summary

Modifier and Type
Method
Description
`VariableMapper`
`create()`
`ValueExpression`
`resolveVariable(String variable)`
`ValueExpression`
`setVariable(String variable, ValueExpression expression)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VariableMapperFactory

public VariableMapperFactory(VariableMapper target)

## Method Details

### create

public VariableMapper create()

### resolveVariable

public ValueExpression resolveVariable(String variable)

Specified by:
  `resolveVariable` in class `VariableMapper`

### setVariable

public ValueExpression setVariable(String variable, ValueExpression expression)

Specified by:
  `setVariable` in class `VariableMapper`